# Piano Virtual utilizando framework QT
### ELO 329 - Diseño y Programación Orientada a Objetos
#### Profesor Dr. Agustín González
##### Martín Rojas

En este proyecto se busca replicar funcionalidades de un piano a un programa utilizando el FrameWork Qt junto con el lenguaje de programación C++.

### Requerimientos de Software:
Para la utilización de este programa se necesita tener instalado Qt, el cuál puede ser descargado de forma gratuita en la web del desarrollador.
| Programa | Link |
| ------ | ------ |
| Qt | [https://www.qt.io/download-open-source?hsCtaTracking=9f6a2170-a938-42df-a8e2-a9f0b1d6cdce%7C6cb0de4f-9bb5-4778-ab02-bfb62735f3e5][PlDb] |
### Compilación y ejecución:
Para la ejecución del programa basta acceder al archivo Proyecto_ELO329.pro mediante qt o desde la carpeta donde se encuentran los archivos, tras ello basta con correr el programa con el IDE y será desplegado el programa.
Además se tendrán que cargar las canciones dentro de notas1 y notas2 a la carpeta donde está el código del proyecto.

La creación de un makefile no es necesario en este caso, ya que este es creado de forma automática por parte del IDE de Qt (qmake).
#### Breve descripción:
El proyecto se sustenta en la clase Widget y en la interfaz gráfica de la misma, los métodos principales son los que están referenciados a la acción de presionar una tecla y la repuesta a ella teniendo como salida un sonido correspondiente a la nota, el otro método importante se refiere al temporizador que medirá el tiempo entre hacer click en el botón y el nuevo click en el mismo.




